Method: projects.locations.spaces.sharedTemplates.revisions.fetchAssessmentReport

Fetches the assessment report of a shared template revision if present.

HTTP request

GET https://designcenter.googleapis.com/v1/{name=projects/*/locations/*/spaces/*/sharedTemplates/*/revisions/*}:fetchAssessmentReport

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The shared template revision name in the following format: projects/{project}/locations/{location}/spaces/{space}/sharedTemplates/{shared_template}/revisions/{revision}

Request body

The request body must be empty.

Response body

Response message for revisions.fetchAssessmentReport.

If successful, the response body contains data with the following structure:

JSON representation
{
  "assessmentReport": {
    object (AssessmentReport)
  }
}
Fields
assessmentReport

object (AssessmentReport)

Assessment report for the shared template revision.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.sharedTemplateRevisions.get

For more information, see the IAM documentation.